Add a User Contact
post
/public/v1/users/{user}/contactsAdds an emergency contact or next of kin to a user. A person who is both is added twice, once per role. A user can have up to 10 contacts.
userstringrequiredThe user UUID
Body
application/jsonnamestringrequiredmax length 255relationshipstringrequiredmax length 255phonestring | nullmax length 255emailstring<email> | nullmax length 255roleenum<string>requiredAvailable options:emergency_contactnext_of_kin
Response
200application/jsonUserContactResource
dataobjectrequired▶Show 6 child attributesHide child attributes
idstringrequiredExample:c1o2n3t4-a5c6-47t8-9a0b-1c2d3e4f5a6bnamestringrequiredExample:Margaret Doerelationshipstring | nullrequiredExample:Motherphonestring | nullrequiredExample:0412345678emailstring | nullrequiredExample:margaret.doe@example.comroleenum<string>requiredAvailable options:emergency_contactnext_of_kin
401Unauthenticated403Authorization error404Not found422Validation error